GET
/prod/multiplexes/{multiplexId}/programs
http://medialive.{region}.amazonaws.com/prod/multiplexes/{multiplexId}/programsList the programs that currently exist for a specific multiplex.
Access Token Required: API Key
Path Parameters
multiplexIdstringrequired
The ID of the multiplex that the programs belong to.
Query Params
maxResultsinteger
The maximum number of items to return.
nextTokenstring
The token to retrieve the next page of results.
MaxResultsstring
Pagination limit
NextTokenstring
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://medialive.{region}.amazonaws.com/prod/multiplexes/{multiplexId}/programs' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}